summaryrefslogtreecommitdiffstats
path: root/kotlin.dex.do
diff options
context:
space:
mode:
Diffstat (limited to 'kotlin.dex.do')
-rw-r--r--kotlin.dex.do11
1 files changed, 11 insertions, 0 deletions
diff --git a/kotlin.dex.do b/kotlin.dex.do
new file mode 100644
index 0000000..5cd3eef
--- /dev/null
+++ b/kotlin.dex.do
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+set -e
+redo-ifchange .vars.rc
+. ./.vars.rc
+src="$KOTLIN/lib/kotlin-stdlib.jar"
+redo-ifchange "$BUILD_TOOLS/d8" "$PLATFORM/android.jar" "$src"
+tmp=$(mktemp -d)
+trap 'rm -rf "$tmp"' EXIT
+"$BUILD_TOOLS/d8" --intermediate "$src" --classpath "$PLATFORM/android.jar" --output "$tmp"
+mv "$tmp/classes.dex" "$3"
+# vim:ft=bash